<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.zhentao.mapper.MyResourceMapper">

    <resultMap id="BaseResultMap" type="com.zhentao.entity.MyResource">
            <id property="resourceId" column="resource_id" />
            <result property="userId" column="user_id" />
            <result property="status" column="status" />
            <result property="rejectReason" column="reject_reason" />
            <result property="rewardPoints" column="reward_points" />
            <result property="matchmakerId" column="matchmaker_id" />
            <result property="name" column="name" />
            <result property="age" column="age" />
            <result property="gender" column="gender" />
            <result property="constellation" column="constellation" />
            <result property="height" column="height" />
            <result property="weight" column="weight" />
            <result property="marrStatus" column="marr_status" />
            <result property="diploma" column="diploma" />
            <result property="income" column="income" />
            <result property="address" column="address" />
            <result property="domicile" column="domicile" />
            <result property="occupation" column="occupation" />
            <result property="house" column="house" />
            <result property="mateSelectionCriteria" column="mate_selection_criteria" />
            <result property="phone" column="phone" />
            <result property="backupPhone" column="backup_phone" />
            <result property="car" column="car" />
            <result property="createTime" column="create_time" />
            <result property="updateTime" column="update_time" />
            <result property="isUser" column="is_user" />
    </resultMap>

    <sql id="Base_Column_List">
        resource_id,user_id,status,reject_reason,reward_points,matchmaker_id,
        name,age,gender,constellation,height,
        weight,marr_status,diploma,income,address,
        domicile,occupation,house,mate_selection_criteria,phone,
        backup_phone,car,create_time,update_time,is_user
    </sql>
</mapper>
